.root {
    width: 100%;
    min-height: 100vh;
    max-width: 100%;
    overflow: hidden;
    padding-top: rem(64);
    display: flex;
    flex-direction: column;

    @include media-breakpoint-up(lg) {
        padding-top: 0;
    }
}

.main {
    flex-grow: 1;
    padding: rem(20) 0;
}

.swiper {
    width: 100%;
    height: 100%;
}

.platform {
    font-size: rem(14);
    line-height: rem(24);
    padding: rem(40) rem(30);
    color: var(--color-white);
    margin-bottom: rem(60);
    position: relative;
    border-radius: 20px;
    background: url("../img/platform__bg.jpg") 50% 50% no-repeat;
    background-size: cover;

    &__header {
        font-weight: 600;
        line-height: 132%;
        font-size: rem(24);
        margin-bottom: rem(20);
        font-family: var(--font-primary);
    }

    &__sky {
        display: none;
    }

    @include media-breakpoint-up(md) {
        padding: rem(40);
        font-size: rem(16);
        line-height: rem(24);
        margin-bottom: rem(80);

        &__header {
            line-height: 132%;
            font-size: rem(28);
            max-width: rem(550);
        }
    }

    @include media-breakpoint-up(lg) {
        min-height: rem(310);
        padding: rem(60) rem(70);

        &__wrap {
            z-index: 20;
            position: relative;
            max-width: rem(580);
        }

        &__sky {
            z-index: 1;
            top: rem(-44);
            left: rem(540);
            width: 594px;
            display: block;
            position: absolute;
        }
    }

    @include media-breakpoint-up(xl) {
        margin-bottom: rem(120);

        &__sky {
            left: rem(675);
        }
    }
}

.primary {
    z-index: 10;
    margin-top: rem(-20);
    position: relative;
    font-weight: 500;
    margin-bottom: rem(40);
    display: grid;
    grid-row-gap: rem(20);
    grid-template-columns: 1fr;

    &__content {
        padding: rem(20);
        color: #373737;
        border-radius: 20px;
        background: #DBE5E8;
        font-family: var(--font-secondary);
    }

    &__lead {
        max-width: rem(420);
    }

    &__header {
        font-weight: 900;
        font-size: rem(32);
        line-height: 113%;
        margin-bottom: rem(20);
    }

    &__target {
        color: var(--color-white);
        padding: rem(20);
        border-radius: 20px;
        font-size: rem(14);
        line-height: rem(25);
        text-decoration: none;
        background: url("../img/primary__target.jpg") 50% 50% no-repeat;
        background-size: cover;
        display: flex;
        align-items: center;
        justify-content: space-between;

        &:hover {
            color: var(--color-white);
            text-decoration: none;
        }
    }

    &__title {
        display: block;
        font-weight: 600;
        font-size: rem(18);
        line-height: rem(25);
        margin-bottom: rem(20);
        font-family: var(--font-secondary);
    }

    &__wrap {
        display: block;
        font-style: normal;
        max-width: rem(280);
        margin-right: rem(10);
    }

    &__media {
        overflow: hidden;
        border-radius: 20px;
    }

    &__arrow {
        width: rem(48);
        height: rem(48);
        fill: #276013;
        background: var(--color-white);
        border-radius: 50%;
        flex-shrink: 0;
        box-shadow: 0px 10px 4px rgba(101, 176, 220, 0.03), 0px 6px 3px rgba(101, 176, 220, 0.1), 0px 2px 2px rgba(101, 176, 220, 0.17), 0px 1px 1px rgba(101, 176, 220, 0.2), 0px 0px 0px rgba(101, 176, 220, 0.2);
    }

    @include media-breakpoint-up(md) {
        margin-bottom: rem(60);

        &__header {
            font-size: rem(42);
        }

        &__content {
            font-size: rem(20);
            line-height: rem(33);
            padding: rem(60) rem(36);
        }

        &__target {
            padding: rem(46) rem(36);
        }

        &__title {
            font-size: rem(20);
            line-height: rem(25);
        }

        &__arrow {
            width: rem(64);
            height: rem(64);
        }
    }

    @include media-breakpoint-up(lg) {
        grid-column-gap: rem(20);
        grid-template-columns: 1fr 1fr;
        grid-template-areas:"a c"
                            "b c";

        &__content {
            grid-area: a;
        }

        &__target {
            grid-area: b;
        }

        &__media {
            grid-area: c;
        }
    }

    @include media-breakpoint-up(xl) {

        &__header {
            font-size: rem(53);
            line-height: rem(60);
            margin-bottom: rem(26);
        }
    }
}

.lead {
    font-weight: 600;
    font-size: rem(20);
    line-height: rem(24);
    color: var(--color-base);
    text-align: center;
    margin-bottom: rem(40);
    font-family: var(--font-secondary);

    @include media-breakpoint-up(md) {
        margin-bottom: rem(60);
        font-size: rem(25);
        line-height: rem(30);
    }
}

.advantages {
    margin-bottom: rem(40);
    display: grid;
    grid-row-gap: rem(30);
    grid-column-gap: rem(20);
    grid-template-columns: 1fr 1fr;

    &__item {
        stroke: var(--color-primary);
        font-weight: 500;
        font-size: rem(14);
        line-height: rem(17);
        text-align: center;
    }

    &__media {
        font-size: 0;
        line-height: 0;
        width: rem(144);
        height: rem(144);
        border-radius: 20px;
        background: #F8F8F8;
        margin: 0 auto rem(20) auto;
        display: flex;
        align-items: center;
        justify-content: center;
    }

    &__icon {
        flex-shrink: 0;
        height: rem(60);
        display: inline-block;
    }

    @include media-breakpoint-up(sm) {
        grid-template-columns: 1fr 1fr 1fr;
    }

    @include media-breakpoint-up(md) {
        padding: rem(30);
        border-radius: 20px;
        margin-bottom: rem(60);
        border: 1px solid #D9D9D9;
    }

    @include media-breakpoint-up(lg) {
        grid-template-columns: 1fr 1fr 1fr 1fr 1fr 1fr;

        &__media {
            width: rem(110);
            height: rem(110);
        }

        &__icon {
            height: rem(48);
        }
    }

    @include media-breakpoint-up(xl) {
        grid-column-gap: rem(55);

        &__item {
            font-size: rem(15);
            line-height: rem(18);
        }

        &__media {
            width: auto;
            height: rem(144);
            margin-bottom: rem(30);
        }

        &__icon {
            height: rem(60);
        }
    }
}

.section {
    margin-bottom: rem(40);

    &__header {
        text-align: center;
        margin-bottom: rem(30);
    }

    &__title {
        margin: 0;
        font-size: rem(25);
        line-height: rem(30);
    }

    &__link {
        margin-top: rem(12);
    }

    @include media-breakpoint-up(md) {
        margin-bottom: rem(60);

        &__header {
            text-align: left;
            display: flex;
            align-items: center;
            justify-content: space-between;
            margin-bottom: rem(50);
        }

        &__link {
            margin-top: 0;
        }
    }
}

.catalog {
    display: grid;
    grid-row-gap: rem(20);
    grid-column-gap: rem(20);
    grid-template-columns: 1fr;

    &__aside {
        display: flex;
        flex-direction: column;
    }

    &__offer {
        display: none;
    }

    @include media-breakpoint-up(xl) {
        padding-bottom: rem(30);
        grid-template-columns: rem(345) auto;

        &__offer {
            display: flex;
            flex-grow: 1;
            padding-top: 20px;
        }

        &__pagination-padding {
            height: rem(92);
            flex-shrink: 0;
        }
    }
}

.grid-3 {
    display: grid;
    grid-row-gap: rem(20);
    grid-column-gap: rem(20);
    grid-template-columns: 1fr;

    @include media-breakpoint-up(sm) {
        grid-template-columns: 1fr 1fr;
    }

    @include media-breakpoint-up(md) {
        grid-template-columns: 1fr 1fr 1fr;
    }
}

.grid-4 {
    display: grid;
    grid-row-gap: rem(20);
    grid-column-gap: rem(20);
    grid-template-columns: 1fr;

    @include media-breakpoint-up(sm) {
        grid-template-columns: 1fr 1fr;
    }

    @include media-breakpoint-up(lg) {
        grid-template-columns: 1fr 1fr 1fr 1fr;
    }
}

.side-offer {
    flex-grow: 1;
    color: var(--color-black);
    padding: rem(30);
    font-size: rem(14);
    line-height: rem(25);
    overflow: hidden;
    position: relative;
    border-radius: 20px;
    display: flex;
    flex-direction: column;
    justify-content: flex-end;

    &__wrap {
        z-index: 10;
        position: relative;
    }

    &__media {
        top: 0;
        left: 0;
        right: 0;
        bottom: 0;
        z-index: 1;
        position: absolute;
    }

    &__title {
        font-weight: 600;
        font-size: rem(20);
        line-height: rem(30);
        margin-bottom: rem(20);
        font-family: var(--font-secondary);
    }
}

.pagination {
    margin-top: rem(30);
    display: flex;
    align-items: center;

    &__nav {
        margin: 0;
        padding: 0;
        list-style: none;
        display: flex;
        align-items: center;

        > li {
            margin-right: rem(2);
        }
    }

    &__link {
        color: #6C757D;
        width: rem(36);
        height: rem(36);
        cursor: pointer;
        text-decoration: none;
        display: flex;
        flex-shrink: 0;
        align-items: center;
        justify-content: center;

        &.active {
            color: #343A40;
            cursor: default;
            border-radius: 50%;
            background: #F8F8F8;
        }

        &--nav {
            display: none;
            font-size: 0;
            line-height: 0;

            i {
                flex-shrink: 0;
                height: rem(10);
                display: inline-block;
            }
        }

        &:hover {
            fill: var(--color-black);
            text-decoration: none;
            color: var(--color-black);
        }
    }

    @include media-breakpoint-up(md) {

        &__link {

            &--nav {
                display: flex;
            }
        }
    }

    @include media-breakpoint-up(xl) {
        margin-top: rem(50);

        &__link {
            width: rem(42);
            height: rem(42);
        }
    }
}

.pr-info {
    position: relative;

    &__group {
        margin-bottom: rem(24);

        &:last-child {
            margin-bottom: 0;
        }
    }

    &__item {
        width: 100%;
        display: flex;
        align-items: flex-start;

        &:first-child {
            margin-bottom: 16px;
        }
    }

    &__icon {
        stroke: #BABABA;
        font-size: 0;
        line-height: 0;
        padding: 0;
        width: 24px;
        height: 24px;
        display: block;
        position: relative;
        margin-right: rem(15);
        flex-shrink: 0;
    }

    &__title {
        font-weight: 600;
        font-size: rem(17);
        line-height: rem(27);
    }

    @include media-breakpoint-up(lg) {
        display: flex;
        justify-content: space-between;

        &__group {

            display: grid;
            flex-shrink: 0;
            margin-bottom: 0;

            &:nth-child(1) {
                width: rem(300);
            }

            &:nth-child(2) {
                width: auto;
            }

            &:nth-child(3) {

            }
        }
    }

    @include media-breakpoint-up(xl) {

    }
}


@include media-breakpoint-up(sm) {}
@include media-breakpoint-up(md) {}
@include media-breakpoint-up(lg) {}
@include media-breakpoint-up(xl) {}
@include media-breakpoint-up(xxl) {}
